Page MenuHomePhabricator

DifferenceEngine $mNewRev and $mOldRev are Revision objects
Closed, ResolvedPublic

Description

DifferenceEngine $mNewRev and $mOldRev are Revision objects (both protected variables) and the class is extended by lots of deployed extensions that access the variable

Uses in subclasses should be replaced with getOldRevision and getNewRevision, which return RevisionRecord

Extended by (in deployed extensions) - no uses remaining

  • FlowBoardContentDiffView - no uses
  • JCJsonDifferenceEngine - no uses
  • MassMessageListDiffEngine - no uses
  • NewsletterDiffEngine - no uses
  • EntityContentDiffView - no uses

Have remaining uses:

  • InlineDifferenceEngine

Non deployed extensions that access the variables:

  • SocialProfile
  • SpamDiffTool

Core update has merged, only thing remaining is to update Wikibase at https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/598858/

Event Timeline

Restricted Application added projects: Growth-Team, Wikidata. · View Herald TranscriptApr 20 2020, 10:16 PM
DannyS712 triaged this task as Medium priority.Apr 20 2020, 10:17 PM
DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.
DannyS712 updated the task description. (Show Details)Apr 20 2020, 10:19 PM

Change 591201 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MobileFrontend@master] Remove use of InlineDifferenceEngine Revision variables

https://gerrit.wikimedia.org/r/591201

Change 593272 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593272

Change 591201 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove use of InlineDifferenceEngine Revision variables

https://gerrit.wikimedia.org/r/591201

DannyS712 updated the task description. (Show Details)Apr 30 2020, 10:26 PM

Change 593662 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SpamDiffTool@master] Remove use of DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593662

Change 593663 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SocialProfile@master] Remove use of DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593663

DannyS712 updated the task description. (Show Details)May 1 2020, 8:58 PM

Change 593662 merged by jenkins-bot:
[mediawiki/extensions/SpamDiffTool@master] Remove use of DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593662

DannyS712 updated the task description. (Show Details)May 18 2020, 7:04 PM

Change 593663 merged by jenkins-bot:
[mediawiki/extensions/SocialProfile@master] Remove use of DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593663

DannyS712 updated the task description. (Show Details)May 26 2020, 9:46 PM

Change 598858 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Wikibase@master] EntityContentDiffView: update getParserOutput signature

https://gerrit.wikimedia.org/r/598858

Change 593272 merged by jenkins-bot:
[mediawiki/core@master] Remove DifferenceEngine::$mNewRev and $mOldRev

https://gerrit.wikimedia.org/r/593272

DannyS712 updated the task description. (Show Details)May 26 2020, 10:00 PM

Change 598858 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] EntityContentDiffView: update getParserOutput signature

https://gerrit.wikimedia.org/r/598858

DannyS712 closed this task as Resolved.Jun 2 2020, 10:35 PM